Bug 1567628 - Loading QPrinter class slows down application startup
Summary: Loading QPrinter class slows down application startup
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-15 15:58 UTC by Or Schiro
Modified: 2018-11-30 21:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:56:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Or Schiro 2018-04-15 15:58:53 UTC
Reporting this upstream coming from a downstream discussion on the slow startup of Ghostwriter which is a Qt5 text editor. Quoting the recent finding from the discussion and would appreciate any feedback from you. Thanks!

"""
Having played around a bit with Fedora 27 in a VM, I have narrowed down the culprit to be the Qt 5 printer support library and loading its QPrinter class. In fact, I had to completely strip all the printing / print preview code in ghostwriter before launching became 100% snappy.

Note that this is not happening on my Linux Mint 18 Cinnamon machine, nor on my Mint 18 KDE machine. Also does not happen in VirtualBox on other distros (Antergos, Solus). I think this is largely either a Fedora packaging/compilation thing of whatever Qt 5 package has the printer support in it, or else something that is a Qt bug that mostly appears only on Fedora. (I did see the post up above regarding it happening on Ubuntu. Very bizarre, as I am running the same base just fine.)

I am hesitant in the meantime of stripping printing support from ghostwriter at this time. (Although it is tempting since it behaves so finnicky on the way it prints on different platforms!) While I did strip it on the latest release from the HTML preview, that was only in anticipation of the switch to QtWebEngine, which does not support printing to a printer at this time. I'd like to keep at least the plain text print support if at all possible.

I recommend someone file a bug report against the Qt 5 printer support either in the Fedora bug tracker or in the Qt one (or both!). Something is fishy somewhere, but I lack the know-how of the deeper Qt arts under the hood to determine what went wrong.
"""

Source: https://github.com/wereturtle/ghostwriter/issues/315#issuecomment-381364471

Comment 1 Ben Cotton 2018-11-27 15:13:52 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:56:56 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.